Subject: RE: Retroactive changes

From: "Contreras, Jorge" <[email-masked]>
Date: Tue, 1 Nov 2005 17:36:22 -0500

Retroactive changes are difficult to do, unless implemented
by a governmental body.  The reason is that people who made 
contributions in the past were entitled to rely on the rules
in effect at the time of their contributions.  It is not likely
that you could enforce a retroactive rule change against someone
who relied on the old rule, unless you obtained his or her
consent to the change.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf
Of [email-masked]
Sent: Tuesday, November 01, 2005 9:45 AM
To: [email-masked]
Subject: Retroactive changes

Simon Joseffson writes:

> Your story of how restrictive copying condition rules cause problem
> was quite interesting.  Just a small remark:
> 
> [email-masked] writes:
> 
> > This particular situation is final because we cannot change the
> > rules retroactively
> 
> The copying conditions has been changed retroactively already.  When I
> asked the RFC Editor about the copying conditions on RFC 1510, they
> answered that the rules in RFC 2026 apply retroactively.  See below.
> 
> If that retroactive change was done correctly, I don't see why it
> cannot be done again.  If it was done incorrectly, it should be
> reverted.  In any case, I believe we should clarify what the copying
> condition on the early RFCs are.

The RFC Editor is not a lawyer.  Absent a solid opinion from Jorge,
I would be concerned that a retroactive change would not stand up
to legal challenge, and hence should not be relied upon, even if
no such challenge is expected or anticipated.  Jorge?

I agree that clarification of the copying conditions, and a change
to allow the sort of text reuse whose failure I described, would
be good things.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Simon Josefsson <[email-masked]>
Date: Wed, 02 Nov 2005 11:14:43 +0100

Perhaps we should ask the RFC Editor to clarify that on:

http://www.rfc-editor.org/copyright.html

I get the impression from that page that RFC 3978 apply to all RFCs.
If I understand you correctly, that doesn't seem to be the case.

It seems that for all RFC copying conditions that have been used
throughout history, the set of RFCs to which they apply to should be
mentioned together with the copying condition rules.

That complexity highlight the importance of acquiring all rights to
documents, so that the IETF have the rights to change copying
conditions retroactively in the future.

Thanks,
Simon

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 02 Nov 2005 21:39:26 +0100

Jorge,

just checking that I understand correctly:

- a change to what rights the author gives to the IETF can't be made 
retroactively by the IETF alone.
- a change to what the IETF gives to others (provided it has the rights to 
give) can be made by the IETF alone, no matter what the age of the document
- any change the author and the IETF agree to is OK

Right?